Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSchedulingStateSendWhenOnline

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSchedulingState
it.tdlight.jni.TdApi.MessageSchedulingStateSendWhenOnline

Enclosing class:
  TdApi

public static final class TdApi.MessageSchedulingStateSendWhenOnline extends TdApi.MessageSchedulingState
The message will be sent when the peer will be online. Applicable to private chats only and when the exact online status of the peer is known.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`MessageSchedulingStateSendWhenOnline()`
The message will be sent when the peer will be online.
`MessageSchedulingStateSendWhenOnline(DataInput input)`
The message will be sent when the peer will be online.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageSchedulingStateSendWhenOnline

public MessageSchedulingStateSendWhenOnline()
The message will be sent when the peer will be online. Applicable to private chats only and when the exact online status of the peer is known.

### MessageSchedulingStateSendWhenOnline

public MessageSchedulingStateSendWhenOnline(DataInput input) throws IOException
The message will be sent when the peer will be online. Applicable to private chats only and when the exact online status of the peer is known.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`